PDA

View Full Version : [ubuntu] Back to 8.10, will updates ruin my Combiz?



ROUBOS
April 25th, 2009, 02:51 AM
Hi all,
after upgrading to 9.04 from 8.10 I had to re install from scratch back to 8.10 to get Compiz to work since I have the ATI x1950pro.

My question is that if I never hit the upgrade to 9.04, will any other updates change my settings and drivers? Will updates ruin my current settings which are just the way I want them? Compiz working fine and all....

RichardLinx
April 25th, 2009, 02:55 AM
Do you mean you downgraded to 8.10 just to get Compiz to work? Hah. If you did a clean install of 9.04 before, then the only reason Compiz didn't work is because you hadn't reinstalled your graphics driver.

ROUBOS
April 25th, 2009, 03:00 AM
I did an upgrade and a clean install of 9.04. My graphics card was not listed at all. And tried all nihght to get the drivers working with no luck.
After some reading , i found out that the new 9.4 Catalyst drivers which work with 9.04, do not support my card. ATI X1950pro

Rocket2DMn
April 25th, 2009, 03:02 AM
For the most part you should be pretty safe. You likely won't be using the same versions of drivers, but it is not often that things change in such a way that newer versions of configuration files will result in bad behavior in older versions of programs. If you do recognize anything, you can ask on the forums to have users help you with specific problems.

JoshuaRL
April 25th, 2009, 03:03 AM
Do you mean you downgraded to 8.10 just to get Compiz to work? Hah. If you did a clean install of 9.04 before, then the only reason Compiz didn't work is because you hadn't reinstalled your graphics driver.

Actually, that's wrong. It seems from the info here, (http://en.wikipedia.org/wiki/Fglrx) and this forum thread here, (http://ubuntuforums.org/showthread.php?t=689798) that the newest version of the fglrx driver doesn't support pre-X2xxx cards. Sorry man, looks like that's the deal. If you don't upgrade to that driver you should be fine though.

ROUBOS
April 25th, 2009, 03:07 AM
Well 8.10 has my card listed under Hardware Drivers while 9.04 does not. And the drivers from the ATI site Catalyst 9.3 work perfectly with in 8.10 and Compiz and all. I even play Neverwinter Nights natively with not a problem.
Too much trouble with 9.04 and my old card. So not going to waste another night on it. When i get a new PC with Nvidia I will install 9.04 or newer.

ROUBOS
April 25th, 2009, 03:10 AM
Read this : http://www.linux-magazine.com/online/news/proprietary_driver_for_ubuntu_9_04_fglrx_for_x_ser ver_1_6

Rocket2DMn
April 25th, 2009, 03:11 AM
Well 8.10 has my card listed under Hardware Drivers while 9.04 does not. And the drivers from the ATI site Catalyst 9.3 work perfectly with in 8.10 and Compiz and all. I even play Neverwinter Nights natively with not a problem.
Too much trouble with 9.04 and my old card. So not going to waste another night on it. When i get a new PC with Nvidia I will install 9.04 or newer.

Use what works for you :)

ROUBOS
April 25th, 2009, 03:15 AM
Yep. 8.10 all the way :)